diff --git a/contrib/sepgsql/Makefile b/contrib/sepgsql/Makefile
index 37a6dce..bc995dd 100644
--- a/contrib/sepgsql/Makefile
+++ b/contrib/sepgsql/Makefile
@@ -3,7 +3,7 @@
 MODULE_big = sepgsql
 OBJS = hooks.o selinux.o label.o dml.o \
 	schema.o relation.o proc.o
-DATA_built = sepgsql.sql sepgsql-regtest.pp
+DATA_built = sepgsql.sql
 REGRESS = label dml misc
 EXTRA_CLEAN = -r tmp *.pp sepgsql-regtest.if sepgsql-regtest.fc
 
@@ -20,6 +20,3 @@ endif
 
 SHLIB_LINK += $(filter -lselinux, $(LIBS))
 REGRESS_OPTS += --launcher $(top_builddir)/contrib/sepgsql/launcher
-
-sepgsql-regtest.pp: sepgsql-regtest.te
-	$(MAKE) -f $(DESTDIR)/usr/share/selinux/devel/Makefile $@
diff --git a/doc/src/sgml/sepgsql.sgml b/doc/src/sgml/sepgsql.sgml
index 9ef2bf9..463924f 100644
--- a/doc/src/sgml/sepgsql.sgml
+++ b/doc/src/sgml/sepgsql.sgml
@@ -124,10 +124,14 @@ $ for DBNAME in template0 template1 postgres; do
   </para>
 
   <para>
-   First, install the policy package for the regression test.
+   First, build and install the policy package for the regression test.
    The <filename>sepgsql-regtest.pp</> is a special purpose policy package
    which provides a set of rules to be allowed during the regression tests.
-   You need to install this policy package using the <command>semodule</>
+   You need to build this policy package from the policy source file
+   (<filename>sepgsql-regtest.te</>), using the makefile for additional
+   policy package. Please adjust its path in the below example depending
+   on your installation.
+   Then, you can install this policy package using the <command>semodule</>
    command, which links supplied policy packages and loads them
    into the kernel space.  If this packages is correctly installed,
    <literal><command>semodule</> -l</> should list sepgsql-regtest as an
@@ -135,8 +139,9 @@ $ for DBNAME in template0 template1 postgres; do
   </para>
 
 <screen>
+$ make -C ./contrib/sepgsql -f /usr/share/selinux/devel/Makefile
 $ su
-# semodule -u /usr/local/pgsql/share/contrib/sepgsql-regtest.pp
+# semodule -u ./contrib/sepgsql/sepgsql-regtest.pp
 # semodule -l
     :
 sepgsql-regtest 1.03
